From: Mechtilde <ooo@mechtilde.de>
Date: Sun, 22 Jan 2023 21:16:09 +0100
Subject: Subject: Replaced 'tt', 'rm', 'it', 'bf' by 'ttfamily', 'rmfamily',
 'itshape',
 'bfseries' to make it fit to use KOMA-Scripts in LaTeX in src/tex/support.nw
 . Forwarded: Yes . Origin: upstream,
 https://github.com/nrnrnr/noweb Bug: https://github.com/nrnrnr/noweb/issues/26
 Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1028964

---
 src/tex/support.nw | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

diff --git a/src/tex/support.nw b/src/tex/support.nw
index 8db76db..8567026 100644
--- a/src/tex/support.nw
+++ b/src/tex/support.nw
@@ -33,7 +33,8 @@ which code is set, and [[\codemargin]], which is the amount by which
 it is indented.\stylehook
 <<kernel>>=
 % make \hsize in code sufficient for 88 columns
-\setbox0=\hbox{\tt m}
+% Change \tt to \ttfamily
+\setbox0=\hbox{\ttfamily m}
 \newdimen\codehsize
 \codehsize=91\wd0 % 88 columns wasn't enough; I don't know why
 \newdimen\codemargin
@@ -215,15 +216,19 @@ extra [[\reset@font]] does no harm.]
 <<kernel>>=
 % here is support for the new-style (capitalized) font-changing commands
 % thanks to Dave Love
+% Replaced \tt with \ttfamily
+% Replaced \rm with \rmfamily
+% Replaced \it with \itshape
+% Replaced \bf with \bfseries
 \ifx\documentstyle\undefined
-  \let\Rm=\rm \let\It=\it \let\Tt=\tt       % plain
+  \let\Rm=\rmfamily \let\It=\itshape \let\Tt=\ttfamily  % plain
 \else\ifx\selectfont\undefined
-  \let\Rm=\rm \let\It=\it \let\Tt=\tt       % LaTeX OFSS
+  \let\Rm=\rmfamily \let\It=\itshape \let\Tt=\ttfamily  % LaTeX OFSS
 \else                                       % LaTeX NFSS
-  \def\Rm{\reset@font\rm}
-  \def\It{\reset@font\it}
-  \def\Tt{\reset@font\tt}
-  \def\Bf{\reset@font\bf}
+  \def\Rm{\reset@font\rmfamily}
+  \def\It{\reset@font\itshape}
+  \def\Tt{\reset@font\ttfamily}
+  \def\Bf{\reset@font\bfseries}
 \fi\fi
 \ifx\reset@font\undefined \let\reset@font=\relax \fi
 @
